Summary: Utilities for configuring the linux ethernet bridge.
Name: bridge-utils
Version: 0.9.6
Release: 2m
License: GPL
Group: System Environment/Base
Source0: http://dl.sourceforge.net/bridge/%{name}-%{version}.tar.gz
Source1: bridge
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-root
%define _sbindir /sbin

%description
This package contains utilities for configuring the linux ethernet
bridge. The linux ethernet bridge can be used for connecting multiple
ethernet devices together. The connecting is fully transparent: hosts
connected to one ethernet device see hosts connected to the other
ethernet devices directly.

Install bridge-utils if you want to use the linux ethernet bridge.

%package devel
Summary: Utilities for configuring the linux ethernet bridge.
Group: Development/Libraries

%description devel
The bridge-utils-devel package contains the header and object files
necessary for developing programs which use 'libbridge.a', the
interface to the linux kernel ethernet bridge. If you are developing
programs which need to configure the linux ethernet bridge, your
system needs to have these standard header and object files available
in order to create the executables.

Install bridge-utils-devel if you are going to develop programs which
will use the linux ethernet bridge interface library.

%prep
%setup -q -n bridge-utils

%build
%configure
make

%install
rm -rf %{buildroot}
%makeinstall
mkdir -p %{buildroot}%{_initscriptdir}
install -m 0755 %{SOURCE1} %{buildroot}%{_initscriptdir}

%clean
rm -rf %{buildroot}

%changelog
* Sun May 30 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (0.9.6-2m)
- change URI

* Fri Feb 14 2003 Shingo AKagaki <dora@kitty.dnsalias.org>
- (0.9.6-1m)
- version 0.9.6

* Mon May 13 2002 Shingo Akagaki <dora@kondara.org>
- (0.9.5-4k)
- add /etc/init.d/bridge script

* Fri Jan 25 2002 MATSUDA, Daiki <dyky@df-usa.com>
- (0.9.5-2k)
- Kondarization

* Wed Nov 07 2001 Matthew Galgoci <mgalgoci@redhat.com>
- initial cleanup of spec file from net release

%files
%defattr (-,root,root)
%doc AUTHORS COPYING doc/FAQ doc/HOWTO doc/RPM-GPG-KEY
%{_initscriptdir}/bridge
%{_sbindir}/brctl
%{_sbindir}/brctld
%{_mandir}/man8/brctl.8.*

%files -n bridge-utils-devel
%defattr (-,root,root)
%{_includedir}/libbridge.h
%{_libdir}/libbridge.a
